extends Scene


func _on_enchanted_grove_interacted() -> void:
	$kq4_011_enchanted_grove.default_script(self)


func _on_graveyard_interacted() -> void:
	$kq4_016_graveyard.default_script(self)


func _on_forest_path_with_cottage_interacted() -> void:
	$kq4_023_forest_path_with_cottage.default_script(self)


func _on_cemetery_interacted() -> void:
	$kq4_018_cemetery.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("Indeed, this is a spooky old house! It looks as if no one has lived here for many years. Flanking the old house on both sides is a run-down cemetery. A thick forest looms all around.")
	).build(self, "_on_script_complete"))


func _on_house_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("The old house looks abandoned and decrepit. Windows are boarded up and the door hangs off its hinges.")
	).build(self, "_on_script_complete"))


func _on_house_door_interacted() -> void:
	$kq4_068_the_foyer.default_script(self)
